Package com.sap.ai.sdk.prompt.registry.model

# Enum Class AssistantChatMessage.RoleEnum

java.lang.Object
java.lang.Enum<AssistantChatMessage.RoleEnum>
com.sap.ai.sdk.prompt.registry.model.AssistantChatMessage.RoleEnum

All Implemented Interfaces:
  `Serializable`, `Comparable<AssistantChatMessage.RoleEnum>`, `Constable`

Enclosing class:
  `AssistantChatMessage`

public static enum AssistantChatMessage.RoleEnum extends Enum<AssistantChatMessage.RoleEnum>
Gets or Sets role

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ASSISTANT`
  The ASSISTANT option of this AssistantChatMessage
  `UNKNOWN_DEFAULT_OPEN_API`
  The UNKNOWN_DEFAULT_OPEN_API option of this AssistantChatMessage

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AssistantChatMessage.RoleEnum`
  `fromValue(String value)`
  Get the enum value from a String value
  `String`
  `getValue()`
  Get the value of the enum
  `String`
  `toString()`
  Get the String value of the enum value.
  `static AssistantChatMessage.RoleEnum`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static AssistantChatMessage.RoleEnum[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ASSISTANT

    public static final AssistantChatMessage.RoleEnum ASSISTANT
    The ASSISTANT option of this AssistantChatMessage

  - ### UNKNOWN_DEFAULT_OPEN_API

    public static final AssistantChatMessage.RoleEnum UNKNOWN_DEFAULT_OPEN_API
    The UNKNOWN_DEFAULT_OPEN_API option of this AssistantChatMessage

- ## Method Details

  - ### values

    public static AssistantChatMessage.RoleEnum[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static AssistantChatMessage.RoleEnum valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    @Nonnull public String getValue()
    Get the value of the enum
    Returns:
      The enum value

  - ### toString

    @Nonnull public String toString()
    Get the String value of the enum value.
    Overrides:
      `toString` in class `Enum<AssistantChatMessage.RoleEnum>`
    Returns:
      The enum value as String

  - ### fromValue

    @Nonnull public static AssistantChatMessage.RoleEnum fromValue(@Nonnull String value)
    Get the enum value from a String value
    Parameters:
      `value` - The String value
    Returns:
      The enum value of type AssistantChatMessage